%global packname  R.cache
%global rlibdir  %{_datadir}/R/library


Name:             R-%{packname}
Version:          0.13.0
Release:          3%{?dist}
Summary:          Fast and Light-Weight Caching (Memoization) of Objects and Results

License:          LGPLv2+
URL:              https://CRAN.R-project.org/package=%{packname}
Source0:          https://cran.r-project.org/src/contrib/%{packname}_%{version}.tar.gz

# Here's the R view of the dependencies world:
# Depends:
# Imports:   R-utils R-R.methodsS3 R-R.oo R-R.utils R-digest
# Suggests
# LinkingTo:
# Enhances:

BuildArch:        noarch
Requires:         R-core

Requires:         R-utils
Requires:         R-R.methodsS3 >= 1.7.1
Requires:         R-R.oo >= 1.21.0
Requires:         R-R.utils >= 2.6.0
Requires:         R-digest >= 0.6.13

BuildRequires:    R-devel tex(latex)
BuildRequires:    R-utils
BuildRequires:    R-R.methodsS3 >= 1.7.1
BuildRequires:    R-R.oo >= 1.21.0
BuildRequires:    R-R.utils >= 2.6.0
BuildRequires:    R-digest >= 0.6.13

%description
Memoization can be used to speed up repetitive and computational expensive
function calls.  The first time a function that implements memoization is
called the results are stored in a cache memory.  The next time the
function is called with the same set of parameters, the results are
momentarily retrieved from the cache avoiding repeating the calculations.
With this package, any R object can be cached in a key-value storage where
the key can be an arbitrary set of R objects.  The cache memory is
persistent (on the file system).


%prep
%setup -q -c -n %{packname}


%build


%install
mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css


%check
%{_bindir}/R CMD check %{packname}


%files
%dir %{rlibdir}/%{packname}
%doc %{rlibdir}/%{packname}/html
%{rlibdir}/%{packname}/DESCRIPTION
%doc %{rlibdir}/%{packname}/NEWS
%{rlibdir}/%{packname}/INDEX
%{rlibdir}/%{packname}/NAMESPACE
%{rlibdir}/%{packname}/Meta
%{rlibdir}/%{packname}/R
%{rlibdir}/%{packname}/help
%{rlibdir}/%{packname}/_Rcache


%changelog
* Thu Jan 31 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.13.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Thu Jul 12 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.13.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Sat Apr 21 2018 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 0.13.0-1
- initial package for Fedora
